Page MenuHomePhabricator

Fix Heading typeface and padding
Closed, ResolvedPublic1 Estimate Story Points

Description

The problem
H3 and onward heading on android app use Serif fonts.

The change
They should Sans-serif typeface. also the alignment is off.

Note: We fixed this on iOS app.

Platform agnostic spec

This is the exact diff change in the css we implemented on iOS

Details

Related Gerrit Patches:
apps/android/wikipedia : masterAdd special header styles
mediawiki/extensions/MobileApp : masterAdd special header styles

Related Objects

StatusSubtypeAssignedTask
InvalidNone
ResolvedMholloway

Event Timeline

Nirzar renamed this task from Fix H3+ to Fix Heading typeface and padding.May 14 2016, 1:09 AM
Nirzar created this task.
Nirzar updated the task description. (Show Details)
Niedzielski set the point value for this task to 1.May 25 2016, 7:42 PM
Dbrant removed Dbrant as the assignee of this task.Jul 21 2016, 10:17 PM
Dbrant added a subscriber: Dbrant.
Mholloway moved this task from To Do to Doing on the Mobile-App-Android-Sprint-88-Radium board.

Change 304801 had a related patch set uploaded (by Mholloway):
Add special header styles

https://gerrit.wikimedia.org/r/304801

Change 304803 had a related patch set uploaded (by Mholloway):
Add special header styles

https://gerrit.wikimedia.org/r/304803

I don't see the below-h2 divider in the iOS app. Is that new?

I don't see the below-h2 divider in the iOS app. Is that new?

Below h2 divider?

Yep, the second screenshot calls for a "very light separator for anchoring the pencil and general separation between H3 and content."

@Mholloway oh my bad. we did not actually do it. it was proposed in the first draft. ignore it for now. good catch.

Cool, thanks @Nirzar, I'll move this over to Code Review then.

Change 304801 merged by jenkins-bot:
Add special header styles

https://gerrit.wikimedia.org/r/304801

Change 304803 merged by jenkins-bot:
Add special header styles

https://gerrit.wikimedia.org/r/304803

This looks great. thanks! the headers are fixed

Dbrant closed this task as Resolved.Sep 12 2016, 3:14 PM